Bug 41599 - Networkmanager does not manage eth0 due to udhcpc
Networkmanager does not manage eth0 due to udhcpc
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: End user applications
UCC 3.0
Other Linux
: P5 normal
: UCC 3.0
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-17 11:44 CEST by Erik Damrose
Modified: 2016-11-09 10:35 CET (History)
0 users

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2016-06-17 11:44:23 CEST
NetworkManager behavior seems to have changed: An interface with a configured ip address is not picked up and managed by NetworkManager. Thus, no dnsmaq is started, leaving the UCC client without name resolution after booting.
Comment 1 Erik Damrose univentionstaff 2016-06-17 12:09:32 CEST
Fixed by stopping udhcpc at the end of the initramfs script, in order to release the dhcp lease. NetworkManager then picks up the interface correctly.

r70310 univention-ucc-initramfs 5.0.0-7.145.201606171147
r70311 Changelog

There is currently an issue with the liveboot option, which is tracked at bug 41600
Comment 2 Felix Botner univentionstaff 2016-06-29 14:36:21 CEST
OK
Comment 3 Erik Damrose univentionstaff 2016-08-16 17:13:06 CEST
UCC 3.0 has been released. If this bug occurs again, please clone this bug.